---
layout: handbook-page-toc
title: AI Framework Group
description: "The AI Framework gruop is focused on how to support other product groups at GitLab with the AI Abstraction Layer, and GitLab Duo Chat functionality."
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Vision

The AI Framework group is focused on how to support other product groups at GitLab with the AI Abstraction Layer, and GitLab Duo Chat functionality.

## Direction

- No page exists yet

## Team Members & Hiring

Team members who are supporting this team on a short-term basis are located [here](https://comp-calculator.gitlab.net/org_chart) where "Work priorities" include "AI Framework."

<%= stable_counterparts(role_regexp: /AI Framework/) %>

## Responsibilities

Team responsibilities include:
* Enabling AI features across GitLab through the AI Abstraction Layer and AI Gateway
* Ensure that global observability, monitoring, documentation, and latency improvements exist
* Supporting the framework for our AI chat system
* Adding support for new AI providers as needed
* AI Gateway production support and readiness


## Dashboards (internal only)

-  [Usage](https://app.periscopedata.com/app/gitlab/1137231/Ai-Features)
- [Requests per provider](https://thanos-query.ops.gitlab.net/graph?g0.expr=sum%20by%20(client)(rate(gitlab_sli_llm_client_request_total%7Benv%3D%22gprd%22%7D%5B1m%5D))&g0.tab=0&g0.stacked=0&g0.range_input=1w&g0.max_source_resolution=0s&g0.deduplicate=1&g0.partial_response=0&g0.store_matches=%5B%5D&g0.step_input=60)


## Office Hours

The team hosts [biweekly office hours](https://docs.google.com/document/d/1Zy2behLK2dYq8QV3x0vFNs5QtY_Z6L9ObU8tzeJWWZw/edit#heading=h.onbz64sai6dd) (internal only) which can be attended by viewing the [GitLab Team Meetings calendar](https://handbook.gitlab.com/handbook/tools-and-tips/#gitlab-team-meetings-calendar). Please attend if you have questions around AI features, in particular abstraction layer and GitLab Duo chat, if you’re working on experiments and need support, or if you don’t know how to write good prompts.

Recordings from the previous weeks are listed in this GitLab Unfiltered YouTube [playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0Kpt0DsmS5WSZbeiMgrBeZXv).


